import { parseColorHexRGB } from '@microsoft/fast-colors';
import { SwatchRGB, PaletteRGB } from '@microsoft/fast-components';
export const swatchFromColor = (hexColor) => {
    const color = parseColorHexRGB(hexColor);
    if (color) {
        return SwatchRGB.from(color);
    }
    return null;
};
export const paletteFromColor = (hexColor) => {
    const swatch = swatchFromColor(hexColor);
    if (swatch) {
        return PaletteRGB.create(swatch);
    }
    return null;
};
